Package ch.qos.logback.core.util

# Class EnvUtil

java.lang.Object
ch.qos.logback.core.util.EnvUtil

public class EnvUtil extends Object

Author:
  Ceki Gülcü

## Constructor Summary

Constructors
Constructor
Description
`EnvUtil()`

## Method Summary

Modifier and Type
Method
Description
`static int`
`getJDKVersion(String javaVersionStr)`
`static boolean`
`isJaninoAvailable()`
`static boolean`
`isJDK5()`
`static boolean`
`isJDK6OrHigher()`
`static boolean`
`isJDK7OrHigher()`
`static boolean`
`isJDK9OrHigher()`
`static boolean`
`isWindows()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### EnvUtil

public EnvUtil()

## Method Details

### getJDKVersion

public static int getJDKVersion(String javaVersionStr)

### isJDK5

public static boolean isJDK5()

### isJDK6OrHigher

public static boolean isJDK6OrHigher()

### isJDK7OrHigher

public static boolean isJDK7OrHigher()

### isJDK9OrHigher

public static boolean isJDK9OrHigher()

### isJaninoAvailable

public static boolean isJaninoAvailable()

### isWindows

public static boolean isWindows()